using FastBlog.Core.Models;

namespace FastBlog.Core.Abstractions.Repositories.Blogs;

public interface IBlogFileRepository
{
    Task<string?> Read(string path);
    Task<Result<bool, BusinessError>> Write(string path, string text);
    public Task<bool> Delete(string path);
}